Uploaded image for project: 'DC/OS'
  1. DC/OS
  2. DCOS_OSS-4615

Build DC/OS - AttributeError: 'Blob' object has no attribute 'id'

    Details

    • Epic Link:
    • Sprint:
      Tools-Infra Team Sprint 38
    • Story Points:
      2

      Description

      A DC/OS OSS Build DC/OS (teamcity/dcos/build/dcos) failure occurred with the following traceback on an unrelated change:

      See here:

      [02:56:34] :		 [Uploading artifacts] Store to aws artifact testing/pull/4038/metadata.json by method copy
      [02:56:34] :		 [Uploading artifacts] Store to azure artifact testing/pull/4038/bootstrap.latest by method copy
      [02:59:05]W:		 [Uploading artifacts] Traceback (most recent call last):
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 601, in urlopen
      [02:59:05]W:		 [Uploading artifacts]     chunked=chunked)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 387, in _make_request
      [02:59:05]W:		 [Uploading artifacts]     six.raise_from(e, None)
      [02:59:05]W:		 [Uploading artifacts]   File "<string>", line 2, in raise_from
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 383, in _make_request
      [02:59:05]W:		 [Uploading artifacts]     httplib_response = conn.getresponse()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
      [02:59:05]W:		 [Uploading artifacts]     response.begin()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 297, in begin
      [02:59:05]W:		 [Uploading artifacts]     version, status, reason = self._read_status()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
      [02:59:05]W:		 [Uploading artifacts]     line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/socket.py", line 575, in readinto
      [02:59:05]W:		 [Uploading artifacts]     return self._sock.recv_into(b)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 929, in recv_into
      [02:59:05]W:		 [Uploading artifacts]     return self.read(nbytes, buffer)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 791, in read
      [02:59:05]W:		 [Uploading artifacts]     return self._sslobj.read(len, buffer)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 575, in read
      [02:59:05]W:		 [Uploading artifacts]     v = self._sslobj.read(len, buffer)
      [02:59:05]W:		 [Uploading artifacts] ConnectionResetError: [Errno 104] Connection reset by peer
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] During handling of the above exception, another exception occurred:
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] Traceback (most recent call last):
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/requests/adapters.py", line 440, in send
      [02:59:05]W:		 [Uploading artifacts]     timeout=timeout
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 639, in urlopen
      [02:59:05]W:		 [Uploading artifacts]     _stacktrace=sys.exc_info()[2])
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/util/retry.py", line 357, in increment
      [02:59:05]W:		 [Uploading artifacts]     raise six.reraise(type(error), error, _stacktrace)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/packages/six.py", line 685, in reraise
      [02:59:05]W:		 [Uploading artifacts]     raise value.with_traceback(tb)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 601, in urlopen
      [02:59:05]W:		 [Uploading artifacts]     chunked=chunked)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 387, in _make_request
      [02:59:05]W:		 [Uploading artifacts]     six.raise_from(e, None)
      [02:59:05]W:		 [Uploading artifacts]   File "<string>", line 2, in raise_from
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/urllib3/connectionpool.py", line 383, in _make_request
      [02:59:05]W:		 [Uploading artifacts]     httplib_response = conn.getresponse()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
      [02:59:05]W:		 [Uploading artifacts]     response.begin()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 297, in begin
      [02:59:05]W:		 [Uploading artifacts]     version, status, reason = self._read_status()
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
      [02:59:05]W:		 [Uploading artifacts]     line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/socket.py", line 575, in readinto
      [02:59:05]W:		 [Uploading artifacts]     return self._sock.recv_into(b)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 929, in recv_into
      [02:59:05]W:		 [Uploading artifacts]     return self.read(nbytes, buffer)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 791, in read
      [02:59:05]W:		 [Uploading artifacts]     return self._sslobj.read(len, buffer)
      [02:59:05]W:		 [Uploading artifacts]   File "/usr/lib/python3.5/ssl.py", line 575, in read
      [02:59:05]W:		 [Uploading artifacts]     v = self._sslobj.read(len, buffer)
      [02:59:05]W:		 [Uploading artifacts] urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] During handling of the above exception, another exception occurred:
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] Traceback (most recent call last):
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/azure/storage/storageclient.py", line 176, in _perform_request
      [02:59:05]W:		 [Uploading artifacts]     response = self._filter(request)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/azure/storage/storageclient.py", line 168, in _perform_request_worker
      [02:59:05]W:		 [Uploading artifacts]     return self._httpclient.perform_request(request)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/azure/storage/_http/httpclient.py", line 114, in perform_request
      [02:59:05]W:		 [Uploading artifacts]     proxies=self.proxies)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/requests/sessions.py", line 508, in request
      [02:59:05]W:		 [Uploading artifacts]     resp = self.send(prep, **send_kwargs)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/requests/sessions.py", line 618, in send
      [02:59:05]W:		 [Uploading artifacts]     r = adapter.send(request, **kwargs)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/requests/adapters.py", line 490, in send
      [02:59:05]W:		 [Uploading artifacts]     raise ConnectionError(err, request=request)
      [02:59:05]W:		 [Uploading artifacts] requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] During handling of the above exception, another exception occurred:
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] Traceback (most recent call last):
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/storage/azure.py", line 37, in copy
      [02:59:05]W:		 [Uploading artifacts]     resp = self.blob_service.copy_blob(self.container, destination_path, az_blob_url)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/azure/storage/blob/baseblobservice.py", line 2992, in copy_blob
      [02:59:05]W:		 [Uploading artifacts]     response = self._perform_request(request)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/azure/storage/storageclient.py", line 180, in _perform_request
      [02:59:05]W:		 [Uploading artifacts]     raise AzureException
      [02:59:05]W:		 [Uploading artifacts] azure.common.AzureException
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] During handling of the above exception, another exception occurred:
      [02:59:05]W:		 [Uploading artifacts] 
      [02:59:05]W:		 [Uploading artifacts] Traceback (most recent call last):
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/bin/release", line 11, in <module>
      [02:59:05]W:		 [Uploading artifacts]     sys.exit(main())
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/__init__.py", line 952, in main
      [02:59:05]W:		 [Uploading artifacts]     release_manager.create('testing', options.channel, options.tag, variants)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/__init__.py", line 840, in create
      [02:59:05]W:		 [Uploading artifacts]     self.apply_storage_commands(storage_commands)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/__init__.py", line 851, in apply_storage_commands
      [02:59:05]W:		 [Uploading artifacts]     apply_storage_commands(self.__storage_providers, storage_commands)
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/__init__.py", line 686, in apply_storage_commands
      [02:59:05]W:		 [Uploading artifacts]     getattr(provider, artifact['method'])(**artifact['args'])
      [02:59:05]W:		 [Uploading artifacts]   File "/teamcity/work/f76365414248b6de/build/env/lib/python3.5/site-packages/release/storage/azure.py", line 41, in copy
      [02:59:05]W:		 [Uploading artifacts]     assert properties.id
      [02:59:05]W:		 [Uploading artifacts] AttributeError: 'Blob' object has no attribute 'id'
      [02:59:05]W:		 [Uploading artifacts] Process exited with code 1
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                skumaran Senthil Kumaran
                Reporter:
                adamdangoor Adam Dangoor
                Team:
                Dev Prod Team
                Watchers:
                Adam Dangoor, Mergebot
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: